package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;
import com.fzm.mall.server.front.user.model.Foot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.user.model.vo.FootGoodsVo;

import java.util.List;

/**
 * <p>
 * 用户浏览记录表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-05-24
 */
public interface IFootService extends IService<Foot> {

    void addRecord(String uid, String goodsId);

    Integer getCount(String uid);

    List<FootGoodsVo> getGoods(String uid, PageVo pageVo);

    void delFoot(String uid, String[] split);
}
